# i3 project governance

## Overview

The i3 project uses a governance model commonly described as Benevolent
Dictator For Life (BDFL). This document outlines our understanding of what this
means.

## Roles

* user: anyone who interacts with the i3 project
* core contributor: a handful of people who have contributed significantly to
  the project by any means (issue triage, support, documentation, code, etc.).
  Core contributors are recognizable via GitHub’s “Member” badge.
* BDFL: a single individual who makes decisions when consensus cannot be
  reached. i3’s current BDFL is [@stapelberg](https://github.com/stapelberg).

## Decision making process

In general, we try to reach consensus in discussions. In case consensus cannot
be reached, the BDFL makes a decision.

For feature requests and code contributions specifically, the values with which
we consider them can be found on the bottom of https://i3wm.org/. These values
are not set in stone and are to be treated as guiding principles, not absolute
rules that must be followed in every case.

## Contribution process

Please see [CONTRIBUTING](CONTRIBUTING.md).
